Skip to main content
POST
/
customers
/
{customer_id}
/
relationships
Create customer relationships
curl --request POST \
  --url https://api.zenskar.com/customers/{customer_id}/relationships \
  --header 'Content-Type: application/json' \
  --header 'organisation: <api-key>' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "related_customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "relationship_type_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "related_customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "relationship_type_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Documentation Index

Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
default:<your-api-key>
required
organisation
string
header
default:<your-organisation-id>
required

Path Parameters

customer_id
string<uuid>
required

Body

application/json

Create Customer Relationship Request Schema

Related Customer Id

relationship_type_id
string<uuid>
required

Relationship Type Id

Response

Successful Response

Create Customer Relationship Response Schema

id
string<uuid>
required

Relationship Id

customer_id
string<uuid>
required

Customer Id

Related Customer Id

relationship_type_id
string<uuid>
required

Relationship Type Id